package com.perforce.workshop.tjuricek.p4oauth

import org.gradle.api.tasks.TaskAction

/**
 */
class StopP4OAuthTask extends P4OAuthTask {

    @TaskAction
    def stop() {
        if (!running) {
            setDidWork(false)
            return
        }

        def pid = getPidFile().text.trim()

        String cmd = "kill ${pid}"

        logger.info("Running ${cmd}")

        Process process = cmd.execute()
        process.waitFor()
    }
}
